> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-transactions/types/postconditionmode.md).

# PostConditionMode

Enum that controls how unspecified transfers are treated in a transaction.

Post-conditions are **always** validated by nodes, regardless of the mode. `Allow` permits additional (unspecified) transfers, while `Deny` does not.

***

### Usage

```ts
import { PostConditionMode, makeContractCall } from '@stacks/transactions';

const transaction = await makeContractCall({
  // ...
  postConditionMode: PostConditionMode.Deny, // Only allow transfers specified by post-conditions
});
```

[**Reference Link**](https://github.com/stx-labs/stacks.js/tree/main/packages/transactions/src/constants.ts#L107)

***

### Definition

```ts
enum PostConditionMode {
  /** Allow unspecified transfers */
  Allow = 0x01,
  /** Do not allow unspecified transfers */
  Deny = 0x02,
}
```

***

### Values

| Value   | Number | Description                                         |
| ------- | ------ | --------------------------------------------------- |
| `Allow` | `0x01` | Allows transfers not covered by post-conditions     |
| `Deny`  | `0x02` | Blocks any transfers not covered by post-conditions |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-transactions/types/postconditionmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
